Index: src/sas/qtgui/KiessigPanel.py
===================================================================
--- src/sas/qtgui/KiessigPanel.py	(revision 363fbfa07207fe7ae5f577b063028a6ad59c1435)
+++ src/sas/qtgui/KiessigPanel.py	(revision 040529d59cec22934096b06caeb1e05dcbeb7f7f)
@@ -17,13 +17,15 @@
         self.thickness = KiessigThicknessCalculator()
 
+        self.deltaq_in.setText("0.05")
+
         # signals
-        self.helpButton.clicked.connect(self.on_help)
-        self.computeButton.clicked.connect(self.on_compute)
-        self.closeButton.clicked.connect(self.on_close)
+        self.helpButton.clicked.connect(self.onHelp)
+        self.computeButton.clicked.connect(self.onCompute)
+        self.closeButton.clicked.connect(self.onClose)
 
         # no reason to have this widget resizable
         self.setFixedSize(self.minimumSizeHint())
 
-    def on_help(self):
+    def onHelp(self):
         """
         Bring up the Kiessig fringe calculator Documentation whenever
@@ -42,5 +44,5 @@
             pass
 
-    def on_compute(self):
+    def onCompute(self):
         """
         Execute the computation of thickness
@@ -49,10 +51,10 @@
             self.thickness.set_deltaq(dq=float(self.deltaq_in.text()))
             kiessing_result = self.thickness.compute_thickness()
-            float_as_str = "{:5.4f}".format(kiessing_result)
+            float_as_str = "{:.3f}".format(kiessing_result)
             self.lengthscale_out.setText(float_as_str)
         except (ArithmeticError, ValueError):
             self.lengthscale_out.setText("")
 
-    def on_close(self):
+    def onClose(self):
         """
         close the window containing this panel
Index: src/sas/qtgui/UI/KiessigPanel.ui
===================================================================
--- src/sas/qtgui/UI/KiessigPanel.ui	(revision 363fbfa07207fe7ae5f577b063028a6ad59c1435)
+++ src/sas/qtgui/UI/KiessigPanel.ui	(revision 040529d59cec22934096b06caeb1e05dcbeb7f7f)
@@ -7,5 +7,5 @@
     <x>0</x>
     <y>0</y>
-    <width>416</width>
+    <width>354</width>
     <height>193</height>
    </rect>
@@ -13,4 +13,11 @@
   <property name="windowTitle">
    <string>Dialog</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="main_resources.qrc">
+    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
+  </property>
+  <property name="toolTip">
+   <string/>
   </property>
   <layout class="QGridLayout" name="gridLayout_3">
@@ -62,5 +69,9 @@
         </item>
         <item>
-         <widget class="QLineEdit" name="lengthscale_out"/>
+         <widget class="QLineEdit" name="lengthscale_out">
+          <property name="readOnly">
+           <bool>true</bool>
+          </property>
+         </widget>
         </item>
         <item>
@@ -90,5 +101,15 @@
     </spacer>
    </item>
-   <item row="3" column="0">
+   <item row="3" column="1">
+    <widget class="QPushButton" name="closeButton">
+     <property name="toolTip">
+      <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Close this window.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+     </property>
+     <property name="text">
+      <string>Close</string>
+     </property>
+    </widget>
+   </item>
+   <item row="3" column="2">
     <widget class="QPushButton" name="helpButton">
      <property name="toolTip">
@@ -100,5 +121,5 @@
     </widget>
    </item>
-   <item row="3" column="1">
+   <item row="3" column="0">
     <widget class="QPushButton" name="computeButton">
      <property name="toolTip">
@@ -110,17 +131,9 @@
     </widget>
    </item>
-   <item row="3" column="2">
-    <widget class="QPushButton" name="closeButton">
-     <property name="toolTip">
-      <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Close this window.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-     </property>
-     <property name="text">
-      <string>Close</string>
-     </property>
-    </widget>
-   </item>
   </layout>
  </widget>
- <resources/>
+ <resources>
+  <include location="main_resources.qrc"/>
+ </resources>
  <connections/>
 </ui>
Index: src/sas/qtgui/UnitTesting/KiessigCalculatorTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/KiessigCalculatorTest.py	(revision 363fbfa07207fe7ae5f577b063028a6ad59c1435)
+++ src/sas/qtgui/UnitTesting/KiessigCalculatorTest.py	(revision 040529d59cec22934096b06caeb1e05dcbeb7f7f)
@@ -35,15 +35,38 @@
 
         # this should not rise
-        self.widget.on_help()
+        self.widget.onHelp()
 
     def testComplexEntryNumbers(self):
         """ User entered compound calculations and subsequent reset"""
 
-        self.widget.deltaq_in.insert("2.0")
-
+        self.widget.deltaq_in.clear()
+        self.widget.deltaq_in.insert('0.05')
+        #
         # Push Compute with the left mouse button
         computeButton = self.widget.computeButton
         QTest.mouseClick(computeButton, Qt.LeftButton)
-        self.assertEqual(self.widget.lengthscale_out.text(), '3.1416')
+        self.assertEqual(self.widget.lengthscale_out.text(), '125.664')
+
+    def testComplexEntryNumbers2(self):
+        """ User entered compound calculations and subsequent reset"""
+
+        self.widget.deltaq_in.clear()
+        self.widget.deltaq_in.insert('1.0')
+        #
+        # Push Compute with the left mouse button
+        computeButton = self.widget.computeButton
+        QTest.mouseClick(computeButton, Qt.LeftButton)
+        self.assertEqual(self.widget.lengthscale_out.text(), '6.283')
+
+    def testComplexEntryNumbers3(self):
+        """ User entered compound calculations and subsequent reset"""
+
+        self.widget.deltaq_in.clear()
+        self.widget.deltaq_in.insert('2.0')
+        #
+        # Push Compute with the left mouse button
+        computeButton = self.widget.computeButton
+        QTest.mouseClick(computeButton, Qt.LeftButton)
+        self.assertEqual(self.widget.lengthscale_out.text(), '3.142')
 
     def testComplexEntryLetters(self):