Index: park_integration/docs/sphinx/_build/html/genindex.html
===================================================================
--- park_integration/docs/sphinx/_build/html/genindex.html	(revision 0c3003d688318c00e53d04a74f7dc2c3c5e68844)
+++ park_integration/docs/sphinx/_build/html/genindex.html	(revision 41517a6129cc7d88ac80ae0caf154e4f183b6e02)
@@ -32,7 +32,4 @@
           <a href="#" title="General Index"
              accesskey="I">index</a></li>
-        <li class="right" >
-          <a href="py-modindex.html" title="Python Module Index"
-             >modules</a> |</li>
         <li><a href="index.html">park_integration v0.1.0 documentation</a> &raquo;</li> 
       </ul>
@@ -48,283 +45,6 @@
 
    <div class="genindex-jumpbox">
-   <a href="#A"><strong>A</strong></a> | <a href="#C"><strong>C</strong></a> | <a href="#E"><strong>E</strong></a> | <a href="#F"><strong>F</strong></a> | <a href="#G"><strong>G</strong></a> | <a href="#I"><strong>I</strong></a> | <a href="#J"><strong>J</strong></a> | <a href="#M"><strong>M</strong></a> | <a href="#N"><strong>N</strong></a> | <a href="#P"><strong>P</strong></a> | <a href="#R"><strong>R</strong></a> | <a href="#S"><strong>S</strong></a> | <a href="#V"><strong>V</strong></a> | <a href="#W"><strong>W</strong></a> | <a href="#X"><strong>X</strong></a> | <a href="#Y"><strong>Y</strong></a> | <a href="#Z"><strong>Z</strong></a> 
+   
    </div>
-<h2 id="A">A</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.abort">abort() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange.add_data">add_data() (sans.fit.AbstractFitEngine.FitArrange method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.add_notes">add_notes() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.add_notes">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.all_results">all_results() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.append">append() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.append_empty_process">append_empty_process() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.append_empty_process">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitAbort.args">args (sans.fit.AbstractFitEngine.FitAbort attribute)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="C">C</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansAssembly.check_param_range">check_param_range() (sans.fit.AbstractFitEngine.SansAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansAssembly.chisq">chisq() (sans.fit.AbstractFitEngine.SansAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.clone_without_data">clone_without_data() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.clone_without_data">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.cov">cov() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.create_assembly">create_assembly() (sans.fit.ParkFitting.ParkFit method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="E">E</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.Model.eval">eval() (sans.fit.AbstractFitEngine.Model method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.eval">(sans.fit.ParkFitting.MyAssembly method)</a></dt>
-  </dl></dd>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.Model.eval_derivs">eval_derivs() (sans.fit.AbstractFitEngine.Model method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="F">F</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit">Fit (class in sans.fit.Fitting)</a></dt>
-    <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.fit">fit() (sans.fit.Fitting.Fit method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.fit">(sans.fit.ParkFitting.ParkFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit.fit">(sans.fit.ScipyFitting.ScipyFit method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.fit_parameters">fit_parameters() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitAbort">FitAbort</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange">FitArrange (class in sans.fit.AbstractFitEngine)</a></dt>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D">FitData1D (class in sans.fit.AbstractFitEngine)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D">FitData2D (class in sans.fit.AbstractFitEngine)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitEngine">FitEngine (class in sans.fit.AbstractFitEngine)</a></dt>
-    <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.fitresult">fitresult (class in sans.fit.ScipyFitting)</a></dt>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.fresiduals">fresiduals() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="G">G</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.get">get() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange.get_data">get_data() (sans.fit.AbstractFitEngine.FitArrange method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.get_fit_range">get_fit_range() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.get_fit_range">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange.get_model">get_model() (sans.fit.AbstractFitEngine.FitArrange method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitEngine.get_model">(sans.fit.AbstractFitEngine.FitEngine method)</a></dt>
-      <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.get_model">(sans.fit.Fitting.Fit method)</a></dt>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.get_model">(sans.fit.ParkFitting.ParkFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit.get_model">(sans.fit.ScipyFitting.ScipyFit method)</a></dt>
-  </dl></dd>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.get_name">get_name() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.Model.get_params">get_params() (sans.fit.AbstractFitEngine.Model method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitEngine.get_problem_to_fit">get_problem_to_fit() (sans.fit.AbstractFitEngine.FitEngine method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.get_problem_to_fit">(sans.fit.Fitting.Fit method)</a></dt>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.get_problem_to_fit">(sans.fit.ParkFitting.ParkFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit.get_problem_to_fit">(sans.fit.ScipyFitting.ScipyFit method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange.get_to_fit">get_to_fit() (sans.fit.AbstractFitEngine.FitArrange method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="I">I</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.insert">insert() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.is_slit_smeared">is_slit_smeared() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.iscomputed">iscomputed() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.isfeasible">isfeasible() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.isfeasible">(sans.fit.ParkFitting.MyAssembly method)</a></dt>
-  </dl></dd>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.isfitted">isfitted() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.isfitted">(sans.fit.ParkFitting.MyAssembly method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.isfixed">isfixed() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.isrestrained">isrestrained() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="J">J</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.jacobian">jacobian() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="M">M</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitAbort.message">message (sans.fit.AbstractFitEngine.FitAbort attribute)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.Model">Model (class in sans.fit.AbstractFitEngine)</a></dt>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly">MyAssembly (class in sans.fit.ParkFitting)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="N">N</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.name">name (sans.fit.AbstractFitEngine.SansParameter attribute)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="P">P</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit">ParkFit (class in sans.fit.ParkFitting)</a></dt>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.fitresult.print_summary">print_summary() (sans.fit.ScipyFitting.fitresult method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="R">R</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.range">range (sans.fit.AbstractFitEngine.SansParameter attribute)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange.remove_data">remove_data() (sans.fit.AbstractFitEngine.FitArrange method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitEngine.remove_fit_problem">remove_fit_problem() (sans.fit.AbstractFitEngine.FitEngine method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.remove_fit_problem">(sans.fit.Fitting.Fit method)</a></dt>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.remove_fit_problem">(sans.fit.ParkFitting.ParkFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit.remove_fit_problem">(sans.fit.ScipyFitting.ScipyFit method)</a></dt>
-  </dl></dd>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.residuals">residuals() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.residuals">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.residuals_deriv">residuals_deriv() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.residuals_deriv">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.result">result() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="S">S</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#module-sans.fit.AbstractFitEngine">sans.fit.AbstractFitEngine (module)</a></dt>
-    <dt><a href="api/Fitting.html#module-sans.fit.Fitting">sans.fit.Fitting (module)</a></dt>
-    <dt><a href="api/ParkFitting.html#module-sans.fit.ParkFitting">sans.fit.ParkFitting (module)</a></dt>
-    <dt><a href="api/ScipyFitting.html#module-sans.fit.ScipyFitting">sans.fit.ScipyFitting (module)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansAssembly">SansAssembly (class in sans.fit.AbstractFitEngine)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter">SansParameter (class in sans.fit.AbstractFitEngine)</a></dt>
-    <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit">ScipyFit (class in sans.fit.ScipyFitting)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitEngine.select_problem_for_fit">select_problem_for_fit() (sans.fit.AbstractFitEngine.FitEngine method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.select_problem_for_fit">(sans.fit.Fitting.Fit method)</a></dt>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.select_problem_for_fit">(sans.fit.ParkFitting.ParkFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit.select_problem_for_fit">(sans.fit.ScipyFitting.ScipyFit method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.Model.set">set() (sans.fit.AbstractFitEngine.Model method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.set">(sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.set_data">set_data() (sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitEngine.set_data">(sans.fit.AbstractFitEngine.FitEngine method)</a></dt>
-      <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.set_data">(sans.fit.Fitting.Fit method)</a></dt>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.set_data">(sans.fit.ParkFitting.ParkFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit.set_data">(sans.fit.ScipyFitting.ScipyFit method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.set_engine">set_engine() (sans.fit.Fitting.Fit method)</a></dt>
-</dl></td>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.set_fit_range">set_fit_range() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.set_fit_range">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.fitresult.set_fitness">set_fitness() (sans.fit.ScipyFitting.fitresult method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange.set_model">set_model() (sans.fit.AbstractFitEngine.FitArrange method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitEngine.set_model">(sans.fit.AbstractFitEngine.FitEngine method)</a></dt>
-      <dt><a href="api/Fitting.html#sans.fit.Fitting.Fit.set_model">(sans.fit.Fitting.Fit method)</a></dt>
-      <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.ParkFit.set_model">(sans.fit.ParkFitting.ParkFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.ScipyFit.set_model">(sans.fit.ScipyFitting.ScipyFit method)</a></dt>
-      <dt><a href="api/ScipyFitting.html#sans.fit.ScipyFitting.fitresult.set_model">(sans.fit.ScipyFitting.fitresult method)</a></dt>
-  </dl></dd>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.Model.set_params">set_params() (sans.fit.AbstractFitEngine.Model method)</a></dt>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.set_result">set_result() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.set_smearer">set_smearer() (sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitArrange.set_to_fit">set_to_fit() (sans.fit.AbstractFitEngine.FitArrange method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.setprefix">setprefix() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.stderr">stderr() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.summarize">summarize() (sans.fit.AbstractFitEngine.SansParameter method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="V">V</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.SansParameter.value">value (sans.fit.AbstractFitEngine.SansParameter attribute)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="W">W</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/ParkFitting.html#sans.fit.ParkFitting.MyAssembly.weight">weight() (sans.fit.ParkFitting.MyAssembly method)</a></dt>
-</dl></td>
-</tr></table>
-
-<h2 id="X">X</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.xaxis">xaxis() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.xaxis">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-</dl></td>
-</tr></table>
-
-<h2 id="Y">Y</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData1D.yaxis">yaxis() (sans.fit.AbstractFitEngine.FitData1D method)</a></dt>
-    <dd><dl>
-      <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.yaxis">(sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-  </dl></dd>
-</dl></td>
-</tr></table>
-
-<h2 id="Z">Z</h2>
-<table style="width: 100%" class="indextable genindextable"><tr>
-  <td style="width: 33%" valign="top"><dl>
-    <dt><a href="api/AbstractFitEngine.html#sans.fit.AbstractFitEngine.FitData2D.zaxis">zaxis() (sans.fit.AbstractFitEngine.FitData2D method)</a></dt>
-</dl></td>
-</tr></table>
-
 
 
@@ -360,7 +80,4 @@
           <a href="#" title="General Index"
              >index</a></li>
-        <li class="right" >
-          <a href="py-modindex.html" title="Python Module Index"
-             >modules</a> |</li>
         <li><a href="index.html">park_integration v0.1.0 documentation</a> &raquo;</li> 
       </ul>