Index: sasview/default_categories.json
===================================================================
--- sasview/default_categories.json	(revision a724bfbc6e1f5fac1712dc36e53b2ed53330ba98)
+++ sasview/default_categories.json	(revision 42585bf5a1366b2c27e83e0b966687142fa2abd6)
@@ -1,1 +1,1 @@
-{"Shapes": [["cylinder", false], ["lamellar_stack_paracrystal", false], ["multilayer_vesicle", false], ["core_shell_cylinder", false], ["lamellar_hg", false], ["fuzzy_sphere", false], ["sphere", false], ["triaxial_ellipsoid", false], ["rectangular_prism", false], ["core_shell_bicelle", false], ["flexible_cylinder", false], ["flexible_cylinder_elliptical", false], ["binary_hard_sphere", false], ["core_multi_shell", false], ["spherical_sld", false], ["ellipsoid", false], ["capped_cylinder", false], ["core_shell_ellipsoid", false], ["fcc_paracrystal", false], ["core_shell_parallelepiped", false], ["core_shell_ellipsoid_xt", false], ["elliptical_cylinder", false], ["hollow_rectangular_prism_thin_walls", false], ["hollow_rectangular_prism", false], ["vesicle", false], ["polymer_micelle", false], ["parallelepiped", false], ["hollow_cylinder", false], ["linear_pearls", false], ["raspberry", false], ["pringle", false], ["sc_paracrystal", false], ["lamellar_hg_stack_caille", false], ["pearl_necklace", false], ["lamellar", false], ["onion", false], ["lamellar_stack_caille", false], ["bcc_paracrystal", false], ["core_shell_sphere", false], ["stacked_disks", false]], "Structure Factor": [["hayter_msa", false], ["squarewell", false], ["stickyhardsphere", false], ["hardsphere", false]], "Shape-Independent": [["guinier_porod", false], ["polymer_excl_volume", false], ["gel_fit", false], ["teubner_strey", false], ["mono_gauss_coil", false], ["mass_surface_fractal", false], ["mass_fractal", false], ["surface_fractal", false], ["adsorbed_layer", false], ["dab", false], ["two_lorentzian", false], ["fractal", false], ["fractal_core_shell", false], ["correlation_length", false], ["poly_gauss_coil", false], ["star_polymer", false], ["broad_peak", false], ["two_power_law", false], ["power_law", false], ["peak_lorentz", false], ["rpa", false], ["be_polyelectrolyte", false], ["gaussian_peak", false], ["guinier", false], ["porod", false], ["line", false], ["gauss_lorentz_gel", false], ["lorentz", false]]}
+{"Shapes": [["cylinder", true], ["lamellar_stack_paracrystal", true], ["multilayer_vesicle", true], ["core_shell_cylinder", true], ["lamellar_hg", true], ["fuzzy_sphere", true], ["sphere", true], ["triaxial_ellipsoid", true], ["rectangular_prism", true], ["core_shell_bicelle", true], ["flexible_cylinder", true], ["flexible_cylinder_elliptical", true], ["binary_hard_sphere", true], ["core_multi_shell", true], ["sc_paracrystal", true], ["ellipsoid", true], ["capped_cylinder", true], ["core_shell_ellipsoid", true], ["fcc_paracrystal", true], ["core_shell_parallelepiped", true], ["core_shell_ellipsoid_xt", true], ["elliptical_cylinder", true], ["pringle", true], ["hollow_rectangular_prism_thin_walls", true], ["hollow_rectangular_prism", true], ["vesicle", true], ["polymer_micelle", true], ["parallelepiped", true], ["hollow_cylinder", true], ["linear_pearls", true], ["spherical_sld", true], ["raspberry", true], ["lamellar_hg_stack_caille", true], ["pearl_necklace", true], ["lamellar", true], ["onion", true], ["lamellar_stack_caille", true], ["bcc_paracrystal", true], ["core_shell_sphere", true], ["stacked_disks", true]], "Structure Factor": [["hayter_msa", true], ["squarewell", true], ["stickyhardsphere", true], ["hardsphere", true]], "Shape-Independent": [["guinier_porod", true], ["polymer_excl_volume", true], ["gel_fit", true], ["teubner_strey", true], ["mono_gauss_coil", true], ["mass_surface_fractal", true], ["mass_fractal", true], ["adsorbed_layer", true], ["two_lorentzian", true], ["fractal", true], ["fractal_core_shell", true], ["dab", true], ["poly_gauss_coil", true], ["star_polymer", true], ["broad_peak", true], ["surface_fractal", true], ["two_power_law", true], ["power_law", true], ["rpa", true], ["be_polyelectrolyte", true], ["peak_lorentz", true], ["guinier", true], ["correlation_length", true], ["line", true], ["gaussian_peak", true], ["porod", true], ["gauss_lorentz_gel", true], ["lorentz", true]]}